> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server.

# Create or update Machine health report

PUT https://nico-rest-api.nico.svc.cluster.local/v2/org/{org}/nico/machine/{machineId}/health-report
Content-Type: application/json

Add or update health report override for a specific Machine.

User must have authorization role with `PROVIDER_ADMIN` suffix.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/health-report/create-or-update-machine-health-report

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NVIDIA Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/nico/machine/{machineId}/health-report:
    put:
      operationId: create-or-update-machine-health-report
      summary: Create or update Machine health report
      description: |-
        Add or update health report override for a specific Machine.

        User must have authorization role with `PROVIDER_ADMIN` suffix.
      tags:
        - subpackage_healthReport
      parameters:
        - name: org
          in: path
          description: Name of the Org
          required: true
          schema:
            type: string
        - name: machineId
          in: path
          description: ID of the Machine
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachineHealthReportEntry'
        '400':
          description: Error response when request data cannot be validated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '404':
          description: Error response when requested object is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '500':
          description: Response when the API handler encounters an unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MachineHealthReportEntryRequest'
servers:
  - url: https://nico-rest-api.nico.svc.cluster.local
    description: Kubernetes Cluster
components:
  schemas:
    MachineHealthProbeSuccess:
      type: object
      properties:
        id:
          type: string
          description: Health probe identifier
        target:
          type:
            - string
            - 'null'
          description: Specific component targeted by health probe
      required:
        - id
      description: Describes results of successful Machine health probe
      title: MachineHealthProbeSuccess
    MachineHealthProbeAlert:
      type: object
      properties:
        id:
          type: string
          description: Health probe identifier
        target:
          type:
            - string
            - 'null'
          description: Specific component targeted by health probe
        inAlertSince:
          type:
            - string
            - 'null'
          format: date-time
          description: Date/time since the alert has been in effect
        message:
          type: string
          description: Details of the failed health probe result
        tenantMessage:
          type:
            - string
            - 'null'
          description: Information provided by Tenant, if any
        classifications:
          type: array
          items:
            type: string
          description: Classifications for this alert, category or impact
      required:
        - id
        - message
      description: Describes results of a failed Machine health probe
      title: MachineHealthProbeAlert
    MachineHealthReportEntryRequestMode:
      type: string
      enum:
        - Merge
        - Replace
      description: How updates to this health report should be handled
      title: MachineHealthReportEntryRequestMode
    MachineHealthReportEntryRequest:
      type: object
      properties:
        source:
          type: string
          description: Health report source.
        successes:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeSuccess'
          description: Results from successful health probes for the Machine.
        alerts:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeAlert'
          description: Results from failed health probes for the Machine.
        mode:
          $ref: '#/components/schemas/MachineHealthReportEntryRequestMode'
          description: How updates to this health report should be handled
      required:
        - source
        - mode
      description: Request to add or update a Machine health report override.
      title: MachineHealthReportEntryRequest
    MachineHealthReportEntryMode:
      type: string
      enum:
        - Merge
        - Replace
      description: How this health report was updated
      title: MachineHealthReportEntryMode
    MachineHealthReportEntry:
      type: object
      properties:
        source:
          type: string
          description: Health report source.
        triggeredBy:
          type: string
          description: Person or system that triggered this health report.
        observedAt:
          type: string
          format: date-time
          description: Date/time when the health report was observed.
        successes:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeSuccess'
          description: Results from successful health probes for the Machine.
        alerts:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeAlert'
          description: Results from failed health probes for the Machine.
        mode:
          $ref: '#/components/schemas/MachineHealthReportEntryMode'
          description: How this health report was updated
      required:
        - source
        - mode
      description: Machine health report entry
      title: MachineHealthReportEntry
    NiCoApiErrorSource:
      type: string
      enum:
        - nico
      description: Source of the error.
      title: NiCoApiErrorSource
    NiCoApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: NiCoApiErrorData
    NICoAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/NiCoApiErrorSource'
          description: Source of the error.
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/NiCoApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NVIDIA Infra Controller REST API
      title: NICoAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

        ```

```

## Examples



**Request**

```json
{
  "source": "overrides.sre",
  "mode": "Merge",
  "alerts": [
    {
      "id": "dpu.reprovision.in.progress",
      "message": "DPU reprovisioning in progress",
      "classifications": [
        "maintenance"
      ]
    }
  ]
}
```

**Response**

```json
{
  "source": "overrides.sre",
  "mode": "Merge",
  "triggeredBy": "operator",
  "observedAt": "2026-06-24T12:00:00Z",
  "alerts": [
    {
      "id": "dpu.reprovision.in.progress",
      "message": "DPU reprovisioning in progress",
      "classifications": [
        "maintenance"
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report"

payload = {
    "source": "overrides.sre",
    "mode": "Merge",
    "alerts": [
        {
            "id": "dpu.reprovision.in.progress",
            "message": "DPU reprovisioning in progress",
            "classifications": ["maintenance"]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"source":"overrides.sre","mode":"Merge","alerts":[{"id":"dpu.reprovision.in.progress","message":"DPU reprovisioning in progress","classifications":["maintenance"]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report"

	payload := strings.NewReader("{\n  \"source\": \"overrides.sre\",\n  \"mode\": \"Merge\",\n  \"alerts\": [\n    {\n      \"id\": \"dpu.reprovision.in.progress\",\n      \"message\": \"DPU reprovisioning in progress\",\n      \"classifications\": [\n        \"maintenance\"\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": \"overrides.sre\",\n  \"mode\": \"Merge\",\n  \"alerts\": [\n    {\n      \"id\": \"dpu.reprovision.in.progress\",\n      \"message\": \"DPU reprovisioning in progress\",\n      \"classifications\": [\n        \"maintenance\"\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": \"overrides.sre\",\n  \"mode\": \"Merge\",\n  \"alerts\": [\n    {\n      \"id\": \"dpu.reprovision.in.progress\",\n      \"message\": \"DPU reprovisioning in progress\",\n      \"classifications\": [\n        \"maintenance\"\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report', [
  'body' => '{
  "source": "overrides.sre",
  "mode": "Merge",
  "alerts": [
    {
      "id": "dpu.reprovision.in.progress",
      "message": "DPU reprovisioning in progress",
      "classifications": [
        "maintenance"
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": \"overrides.sre\",\n  \"mode\": \"Merge\",\n  \"alerts\": [\n    {\n      \"id\": \"dpu.reprovision.in.progress\",\n      \"message\": \"DPU reprovisioning in progress\",\n      \"classifications\": [\n        \"maintenance\"\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": "overrides.sre",
  "mode": "Merge",
  "alerts": [
    [
      "id": "dpu.reprovision.in.progress",
      "message": "DPU reprovisioning in progress",
      "classifications": ["maintenance"]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```